# Class BimTypeObjectRepository

##### Index

### Constructors

constructor

### Properties

types

### Methods

get
has

## Constructors

### constructor

- new BimTypeObjectRepository(
  _index: BimIfcIndex,
  objectAttributes: BimObjectAttribute[],
  ): BimTypeObjectRepository

  #### Parameters

  - _index: BimIfcIndex
  - objectAttributes: BimObjectAttribute[]

  #### Returns BimTypeObjectRepository

## Properties

### `Readonly` types

types: BimTypeObject[]

## Methods

### get

- get(id: number): BimTypeObject

  #### Parameters

  - id: number

  #### Returns BimTypeObject

### has

- has(id: number): boolean

  #### Parameters

  - id: number

  #### Returns boolean